:lm margin=2.:font facename=Helv size=24x10.
:p.:hp8.PM123 remote control:ehp8.
:font facename=Helv size=16x8.
:p.
:p.
PM123 can be remotely controlled via a named pipe, &bsl.PIPE&bsl.PM123. Named pipes were chosen because of their excellent features. 
Quoting from the Control Program Programming Guide and Reference: "Named pipes enable related or unrelated processes on either the same computer system or different systems to communicate 
with each other. Any process that knows the name of a pipe can open and use a named pipe. In addition, named pipe data can be transparently redirected across a network, 
such as a local area network (LAN)".
:p.
To remote control PM123 on the same computer, you can use either the built-in "echo" command, or the PM123 executable itself. 
PM123 understands a set of commands that are written to the pipe. For example,
:p.
[c&colon.&bsl.usr&bsl.pm123] pm123 -cmd volume 80
.br
[c&colon.&bsl.usr&bsl.pm123] echo *volume 80 > &bsl.pipe&bsl.pm123
:p.
These commands will set the volume to 80%.
:p.
[c&colon.&bsl.usr&bsl.pm123] pm123 -cmd add d&colon.&bsl.music&bsl.test.mp3
.br
[c&colon.&bsl.usr&bsl.pm123] echo *add d&colon.&bsl.music&bsl.test.mp3 > &bsl.pipe&bsl.pm123
:p.
These commands will add the file d&colon.&bsl.music&bsl.test.mp3 to the playlist.
:p.
If you use echo, remember to prepend any commands sent to it with a * character. 
PM123 currently understands the following commands (optional parameters are enclosed in parenthesis):
:parml compact tsize=22 break=none.
:pt.play file
:pd.Starts playing. If file was specified, it will be first loaded and playback will be started.
:pt.stop 
:pd.Stop playback.
:pt.pause on|off.
:pd.Pauses or unpauses the playback.
:pt.next
:pd.Selects the next song in playlist.
:pt.previous
:pd.Selects the previous song in playlist.
:pt.rewind
:pd.Toggles rewind of the currently playing file.
:pt.forward
:pd.Toggles fast forward of the currently playing file.
:pt.jump n
:pd.Jump to n seconds in the currently playing file.
:pt.volume n
:pd.Sets volume to n% (scale 0-100, of course). And returns previous volume setting.
:pt.load file
:pd.Loads a file into. Plays it too, if 'auto play on load' is set.
:pt.shuffle
:pd.Toggles shuffling.
:pt.repeat
:pd.Toggles repeat.
:pt.mono on|off
:pd.Toggles mono mode on.
:pt.downmix on|off
:pd.Toggles downmixing 2 to 1.
:pt.autouse on|off
:pd.Toggles 'auto use playlist on add'.
:pt.playonload on|off
:pd.Toggles 'auto play on load'.
:pt.playonuse on|off
:pd.Toggles 'auto play on playlist use'.
:pt.float on|off
:pd.Toggles 'float on top'.
:pt.font 1|2
:pd.Selects font 1 or font 2.
:pt.size regular|small|tiny
:pd.Selects the player size.
:pt.hide
:pd.Hides the player window.
:pt.add file1;file2;file3
:pd.Adds file(s) to playlist. Multiple files must be separated with ';' characters.
:pt.use
:pd.Use the playlist.
:pt.clear
:pd.Clears the playlist.
:pt.dir directory
:pd.Add directory to the playlist (non-recursive).
:pt.rdir directory
:pd.Add directory to the playlist (recursive).
:pt.status tag|file|info
:pd.Returns the information currently displayed in the scroller or returns nothing if "no file loaded".
:eparml.
:p.
Now for the cool part. You can control PM123 over your OS/2 Local Area Network. Just use &bsl.&bsl.SERVER&bsl.PIPE&bsl.PM123. &bsl.&bsl.SERVER is the name of the computer PM123 runs on. For example,
:p.
[c&colon.&bsl.usr&bsl.pm123] pm123 -cmd &bsl.&bsl.mycomputer volume 80
.br
[c&colon.&bsl.usr&bsl.pm123] echo *volume 80 > &bsl.&bsl.mycomputer&bsl.pipe&bsl.pm123
.br
[c&colon.&bsl.usr&bsl.pm123] pm123 -cmd &bsl.&bsl.mycomputer add d&colon.&bsl.music&bsl.test.mp3
.br
[c&colon.&bsl.usr&bsl.pm123] echo *add d&colon.&bsl.music&bsl.test.mp3 > &bsl.&bsl.mycomputer&bsl.pipe&bsl.pm123
:p.
Will do the same as examples above, but from a different computer. Easy, isn't it?
.br
.br
:p.
:artwork runin name='u07.bmp'.
:hp2.Copyright (c) 2005 Samuel Audet, Michal Pohorelsky:ehp2.
:p.
